Package Details: libcurl-gnutls 7.47.0-1

Git Clone URL: https://aur.archlinux.org/libcurl-gnutls.git (read-only)
Package Base: libcurl-gnutls
Description: An URL retrieval utility and library
Upstream URL: http://curl.haxx.se
Licenses: MIT
Submitter: jose1711
Maintainer: jose1711
Last Packager: jose1711
Votes: 49
Popularity: 5.112057
First Submitted: 2012-12-22 20:49
Last Updated: 2016-02-18 18:26

Required by (7)

Sources (10)

  • 01_runtests_gdb.patch
  • 02_art_http_scripting.patch
  • 03_keep_symbols_compat.patch
  • 04_workaround_as_needed_bug.patch
  • 06_always-disable-valgrind.patch
  • 07_do-not-disable-debug-symbols.patch
  • 90_gnutls.patch
  • 99_nss.patch
  • curlbuild.h
  • http://curl.haxx.se/download/curl-7.47.0.tar.gz

Latest Comments

jose1711 commented on 2016-02-18 18:27

@ryuzy thank you, implemented

ryuzy commented on 2016-02-18 13:16

there is an update and the conflict can be removed because libcurl-compat no more create the symlink libcurl-gnutls.so.3

jose1711 commented on 2015-12-30 14:15

@amonobeax

thank you, conflict added

amonobeax commented on 2015-12-02 16:42

Hi jose1711!

Are you aware that libcurl-gnutls and libcurl-compat (maintained by evana) are in conflict?

It seems both packages write the libcurl-gnutls.so.3 simlink.

Packages like Desura and Spotify which use libcurl-compat as dependency can't be installed while libcurl-gnutls is.


Cheers.

Joksan commented on 2015-11-09 04:19

Interim solution add to pgkbuild:

validpgpkeys=('914C533DF9B2ADA2204F586D78E11C6B279D5C91')

This id for 'curl-7.38.0' PGP key

TwoD commented on 2015-07-31 16:05

If you only want to "trust" this signer once, you can use makepkg --skippgpcheck.

sanerb commented on 2015-04-13 06:20

what happens if you DON'T fetch the .asc file? if you're worried about md5 collisions for your checksum array, you can use sha256sums= instead and use SHA256 instead of MD5.

sanerb commented on 2015-04-13 06:19

==> Verifying source file signatures with gpg...
curl-7.38.0.tar.gz ... FAILED
==> ERROR: One or more PGP signatures could not be verified!

==> ERROR: the build failed
-> Status failed (1): libcurl-gnutls


still failing. any update on this?

jose1711 commented on 2015-03-10 11:27

can't really update to latest verson since jessie is still on 7.38.0 and i am unable to fix rejected patches

bernd_b commented on 2015-02-28 17:01

I ran

makepkg --skippgpcheck

to circumvent the problem ( https://bbs.archlinux.org/viewtopic.php?id=152337 )

All comments